Modify

Opened 4 years ago

Closed 4 years ago

Last modified 3 years ago

#11242 closed defect (fixed)

IndexError: pop from empty list

Reported by: Rochi Owned by: Michael Renzmann
Priority: normal Component: TracHacks
Severity: normal Keywords:
Cc: Steffen Hoffmann, Odd Simon Simonsen, Ryan J Ollos, falkb Trac Release:

Description

If I want to add an attachment to the ticket #9983 i get the following error:

Oops … Trac hat einen internen Fehler festgestellt:

IndexError: pop from empty list

Es ist ein interner Fehler aufgetreten. Bitte benachrichtigen Sie Ihren Trac-Administrator und fügen Sie eine Beschreibung an, wie der Fehler reproduziert werden kann.

Zu diesem Zweck können Sie auch ein Ticket .

Die Aktion, die den Fehler ausgelöst hat, war:

GET: /attachment/ticket/9983/

Attachments (0)

Change History (11)

comment:1 Changed 4 years ago by Rochi

Summary: IndexError: pop from empty list FileIndexError: pop from empty list

comment:2 Changed 4 years ago by Jun Omae

Cc: Steffen Hoffmann Odd Simon Simonsen Ryan J Ollos added; anonymous removed

This is a Genshi 0.6.1 and 0.7.0 issue. The workaround is to downgrade Genshi 0.6.0. See trac:#11184 and genshi:#566.

Version 0, edited 4 years ago by Jun Omae (next)

comment:3 Changed 4 years ago by Rochi

OK, after read trac:#11184 I've found a workaround: I've switched the language from German to English. Now the Add attachment button works.

If the only working solution without the workaround above is to downgrade to Genshi 0.6, so only the !admin from trac-hacks.org can do that.

Last edited 4 years ago by Rochi (previous) (diff)

comment:4 Changed 4 years ago by Ryan J Ollos

Resolution: fixed
Status: newclosed

I've downgraded to Genshi 0.6.0 (with speedups).

I did not attempt to reproduce the issue before the downgrade, but after the downgrade I changed the language to German and was able to add an attachment to #9983. Please reopen the ticket if you experience the issue again.

Jun, thank you for investigating and providing a solution.

comment:5 Changed 4 years ago by Ryan J Ollos

Resolution: fixed
Status: closedreopened

Somehow we are now running Genshi 0.6.1 (without speedups), and the issue has been reported again in comment:1:ticket:11289. Did someone reinstall Genshi?

comment:6 Changed 4 years ago by Michael Renzmann

I, at least, didn't reinstall Genshi.

comment:7 Changed 4 years ago by Ryan J Ollos

Cc: falkb added
Resolution: fixed
Status: reopenedclosed

We had these files in site-packages:

Genshi-0.6-py2.6-linux-i686.egg
Genshi-0.6.1-py2.6-linux-i686.egg
Genshi-0.6.1-py2.6.egg

I'm not sure what happened here, but anyway, Genshi 0.6.0 (with speedups) is installed now.

I also installed the EmailProcessorMacro, having noticed that wasn't re-installed since the migration.

comment:8 Changed 4 years ago by falkb

Thank you, I'll switch back to German and check what happens if I add an attachment next time.

comment:9 Changed 4 years ago by Ryan J Ollos

Feel free to add an attachment to this ticket if you'd like to test here; I'll delete it afterwards.

comment:10 Changed 4 years ago by falkb

yes it works :-)

comment:11 Changed 3 years ago by Ryan J Ollos

Issue is documented in #11678 for testing that the issue is resolved before upgrading to Genshi 0.7.1 (not yet released).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Michael Renzmann.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.